Subject: [bug#78603] [PATCH] services: readymedia: Respect SUDO_HOME if configuring for home.

From: Sergey Trofimov <[email-masked]>
Date: Tue, 27 May 2025 15:56:42 +0200

Hi Sughosha,

Sughosha <[email-masked]> writes:
[...]
> Using relative paths without any variable is working. I will send v2 patch.
>

I've also noticed a couple other issues:
- `(getuid)` used in `readymedia-configuration->config-file`. It could
be removed altogether, no need to specify `user=` for home installations
- log_dir seem to be ineffective when starting the app with -s. It logs
to stdout when running in foreground. You can just remove this parameter
- #:log-file for a shepherd service should be located either in
%user-log-dir or "/var/log". Please check e.g. mcron service
- not sure if least-authority-wrapper would work for symlinked media
directories (see wide_links config option)